# L4Re Operating System Framework: Elf32_Sym Struct Reference

Loading...
Searching...
No Matches
Elf32_Sym Struct Reference
Utility Functions » ELF binary format

ELF32 symbol table entry. More...

`#include <elf.h>`

Collaboration diagram for Elf32_Sym:

## Data Fields

Elf32_Word | st_name
| name of symbol (idx symstrtab)
Elf32_Addr | st_value
| value of associated symbol
Elf32_Word | st_size
| size of associated symbol
unsigned char | st_info
| type and binding info
unsigned char | st_other
| undefined
Elf32_Half | st_shndx
| associated section header

## Detailed Description

ELF32 symbol table entry.

Definition at line 871 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h